package com.braintree.facade;

import com.braintree.hybris.data.BrainTreeConnectWithPayPalUserData;
import de.hybris.platform.commerceservices.customer.DuplicateUidException;

public interface BrainTreeRegistrationUserFacade {

    String registerPayPalUser(String accessToken) throws DuplicateUidException;

    void setPayerIdToUser(final String id, final String payerId);

    String getEmailFromPayPalUserData(BrainTreeConnectWithPayPalUserData userData);
}
